<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
$set['title']= 'Файлы';
include_once '../../sys/inc/thead.php';
title();

only_reg();

$id = intval($_GET['id']);
$del_komm = intval($_GET['del_komm']);

$komms = mysql_fetch_array(mysql_query("SELECT * FROM `user_files_mod_komm` WHERE `id` = '".$del_komm."'"));

$komm_file = mysql_fetch_array(mysql_query("SELECT * FROM `user_files_mod_files` WHERE `id` = '".$komms['file']."'"));

$files = mysql_fetch_array(mysql_query("SELECT * FROM `user_files_mod_files` WHERE `id` = '".$id."'"));
$papka = mysql_fetch_array(mysql_query("SELECT * FROM `user_files_mod_papka` WHERE `id` = '".$files['dir']."'"));
$ank = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$files['kto_id']."'"));
$files_num = mysql_num_rows(mysql_query("SELECT * FROM `user_files_mod_files`  WHERE `id` = '".$id."'"));

echo '<div class="mytitle">';
echo ''.online($ank['id']).' <a href="/info.php?id='.$ank['id'].'">'.$ank['nick'].'</a><br/>';
echo ''.output_text($papka['name']).' > ';
echo ''.output_text($files['name']).'<br/>';
echo '</div>';

echo '<div class="textmes">';

echo '<form action="/user/files/komm.php?id='.$id.'&msg" method="post">';
echo '<input type="text" name="msg" value=""/>';
echo '<input type="submit" name="submit" value="OK"/></form>';

echo '</div>';
if (isset($_GET['del'])){

if (!$id || !$del_komm){

header("Location: /user/files/komm.php?id=".$id."");

}else{

if ($komm_file['kto_id']!==$user['id']){

header("Location: /user/files/komm.php?id=".$id."");

}else{

mysql_query("DELETE FROM `user_files_mod_komm` WHERE `id` = '".$del_komm."' LIMIT 1");

header("Location: /user/files/komm.php?id=".$id."");

}

}

}


if ($files_num == 0){

echo '<div class="komm">';
echo 'Файл не найден.<br/>';
echo '</div>';

}else{

if (isset($_POST['submit_papka'])){

$_SESSION['pass_files_papka'] = mysql_real_escape_string($_POST['pass']);

header("Location: /user/files/file.php?id=".$id."");

}

if ($papka['pass_set']==1 && $_SESSION['pass_files_papka']!==$papka['pass'] && $user['id']!==$papka['kto_id']){

echo '<div class="komm">';
echo '<font color="red">Папка под паролем. Если знаете пароль, пожалуйста введите его:</font><br/>';
echo '<form action="/user/files/file.php?id='.$id.'" method="post">';
echo '<input type="text" name="pass" value=""/><br/>';
echo '<input type="submit" name="submit_papka" value="Попробовать"/></form>';
echo '</div>';

}else{

if (isset($_POST['submit_files'])){

$_SESSION['pass_files_file'] = mysql_real_escape_string($_POST['pass']);

header("Location: /user/files/file.php?id=".$id."");

}

if ($files['pass_set']==1 && $_SESSION['pass_files_file']!==$files['pass'] && $user['id']!==$files['kto_id']){

echo '<div class="komm">';
echo '<font color="red">Файл под паролем. Если знаете пароль, пожалуйста введите его:</font><br/>';
echo '<form action="/user/files/file.php?id='.$id.'" method="post">';
echo '<input type="text" name="pass" value=""/><br/>';
echo '<input type="submit" name="submit_files" value="Попробовать"/></form>';
echo '</div>';

}else{

if (isset($_GET['msg'])){

$msg = mysql_real_escape_string($_POST['msg']);

$str_msg = strlen($msg);

echo '<div class="links">';

if ($str_msg<2){

echo 'Комментарий должен быть больше 2 символов.<br/>';
echo '<a href="/user/files/komm.php?id='.$id.'">К комментариям</a><br/>';

}else{

mysql_query("INSERT INTO `user_files_mod_komm` (`kto_id`, `msg`, `file`, `time`) VALUES ('".$user['id']."', '".$msg."', '".$id."', '".time()."')");

echo 'Комментарий успешно добавлен.<br/>';
echo '<a href="/user/files/komm.php?id='.$id.'">К комментариям</a><br/>';

}

echo '</div>';

}else{

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user_files_mod_komm` WHERE `file` = '".$id."'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$res = mysql_query("select * from `user_files_mod_komm` WHERE `file` = '".$id."' order by time LIMIT $start, $set[p_str];");

if ($k_post==0){

echo '<div class="links">';
echo 'Нет комментраиев...<br/>';
echo '</div>';

}else{

while ($post = mysql_fetch_array($res)){

$usr = mysql_fetch_array(mysql_query("SELECT `nick`,`pol` FROM `user` WHERE `id` = '".$post['kto_id']."'"));

//if ($usr['pol']=='1'){

//$pol = '[м]';

//}else{

//$pol = '[ж]';

//}

echo '<div class="linechat">';

echo ''.$pol.' <a href="/info.php?id='.$post['kto_id'].'">'.$usr['nick'].'</a> '.online($post['kto_id']).' ['.vremja($post['time']).']';

if ($files['kto_id']==$user['id']){

echo ' <a href="/user/files/komm.php?id='.$id.'&del_komm='.$post['id'].'&del">[x]</a>';

}

echo '<br/>';

echo ''.output_text($post['msg']).'<br/>';

echo '</div>';

}

if ($k_page>1)str('?id='.$id.'&',$k_page,$page);

}



}

}

}

}

echo '<div class="foot">';
echo '<a href="/user/files/file.php?id='.$files['id'].'">К файлу</a><br/>';
echo '</div>';
echo '<div class="foot">';
echo '<a href="/user/files/dir.php?id='.$files['dir'].'">К файлам</a><br/>';
echo '</div>';
echo '<div class="foot">';
echo '<a href="/user/files/?id='.$ank['id'].'">К папкам</a><br/>';
echo '</div>';

include_once '../../sys/inc/tfoot.php';
?>